import React from 'react';
import ReactDOM from 'react-dom';
import { schemeYlOrRd, scaleSequential, max } from 'd3';
import { useWorldAtlas } from './useWorldAtlas';
import { useData } from './useData';
import { Marks } from './Marks';

const width = 960;
const height = 500;
//const selectedDate == somedate; for filtered dates


const App = () => {
  const worldAtlas = useWorldAtlas();
  const data = useData();

  if (!worldAtlas || !data) {
    return <pre>Loading...</pre>;
  }
  
 //const filteredData = data.filter(d => d.data === selectedDate);
//to be used to filter data later if needed
  
  const colorValue = d => d.covid;

  const colorScale = scaleSequential(schemeYlOrRd)
    .domain([0, max(data, colorValue)]);
  
  return (
    <svg width={width} height={height}>
      <Marks
        worldAtlas={worldAtlas}
        data={data}
        colorScale={colorScale}
        colorValue={colorValue}
      />
    </svg>
  );
};
const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);
